/*
 * Copyright (c) 2015, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.wso2.carbon.event.processor.storm.common.test.util;

import java.util.concurrent.atomic.AtomicLong;

public class AnalyticStatDataProvider implements DataProvider {
    private static final int MULTIPLIER = 14;
    private AtomicLong eventCount = new AtomicLong(0);

    @Override
    public Object[] getData() {
        int ipIndex = Math.round((float) Math.random() * MULTIPLIER);
        int userIndex = Math.round((float) Math.random() * MULTIPLIER);
        int termIndex = Math.round((float) Math.random() * MULTIPLIER);
        return new Object[]{SamplingDataSet.IP_ADDRESSES.get(ipIndex), eventCount.incrementAndGet(), System.currentTimeMillis(), System.nanoTime(), SamplingDataSet.USER_IDS.get(userIndex), SamplingDataSet.SEARCH_TERMS.get(termIndex)};
    }
}
